Summary: Java libraries handling Job Description Language
Name: glite-jdl-api-java
Version: 3.3.1
Release: 2.sl5
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: noarch
Requires: jclassads
BuildRequires: maven, java-1.6.0-openjdk-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%description
Java libraries and utilities for dealing with Job Description Language

%prep
 
%setup -c -q

%build
mvn -Dmaven.repo.local=/tmp/m2/repository compile

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mvn -Dmaven.repo.local=/tmp/m2/repository install -DcreateChecksum=true
mkdir -p %{buildroot}/usr/share/java
cp %{_builddir}/%{name}-%{version}/target/jdl-api-java-3.3.1.jar %{buildroot}/usr/share/java/glite-jdl-api-java.jar
mvn -Dmaven.repo.local=/tmp/m2/repository javadoc:javadoc -DreportOutputDirectory=%{buildroot}/%{_javadocdir}/%{name}
mv %{buildroot}/%{_javadocdir}/%{name}/apidocs %{buildroot}/%{_javadocdir}/%{name}/html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/share/java/glite-jdl-api-java.jar


%package doc
Summary: Documentation files for Job Description Language library
Group: Documentation
Requires: %{name}

%description doc
Documentation files for dealing with Job Description Language

%files doc
%defattr(-,root,root)
%dir %{_javadocdir}/%{name}/html/
%dir %{_javadocdir}/%{name}/html/resources/
%doc %{_javadocdir}/%{name}/html/resources/inherit.gif

%doc %{_javadocdir}/%{name}/html/*.html
%doc %{_javadocdir}/%{name}/html/stylesheet.css
%doc %{_javadocdir}/%{name}/html/package-list
%dir %{_javadocdir}/%{name}/html/org/
%dir %{_javadocdir}/%{name}/html/org/glite/
%dir %{_javadocdir}/%{name}/html/org/glite/jdl/
%doc %{_javadocdir}/%{name}/html/org/glite/jdl/*.html
%dir %{_javadocdir}/%{name}/html/org/glite/jdl/class-use/
%doc %{_javadocdir}/%{name}/html/org/glite/jdl/class-use/*.html



%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 3.3.1-2.sl5
- New major release

